Conflicts.Resolution (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum Conflicts.Resolution

- java.lang.Object
- - java.lang.Enum<Conflicts.Resolution>
  - - org.apache.cassandra.db.Conflicts.Resolution

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Conflicts.Resolution>
  Enclosing class:
    Conflicts

      public static enum Conflicts.Resolution
      extends java.lang.Enum<Conflicts.Resolution>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEFT_WINS`
    `MERGE`
    `RIGHT_WINS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Conflicts.Resolution` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Conflicts.Resolution[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT_WINS

          public static final Conflicts.Resolution LEFT_WINS

    - #### MERGE

          public static final Conflicts.Resolution MERGE

    - #### RIGHT_WINS

          public static final Conflicts.Resolution RIGHT_WINS

  - ### Method Detail

    - #### values

          public static Conflicts.Resolution[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Conflicts.Resolution c : Conflicts.Resolution.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Conflicts.Resolution valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation